REPO-ADD(8)

NOME
repo-add - utilitário de manutenção da base de dados de pacotes

SINOPSE

repo-add [opções] <caminho-para-db> <pacote> [<pacote> ...]

repo-remove [opções] <caminho-para-db> <nomepacote> [<nomepacote> ...]

DESCRIÇÃO

repo-add e repo-remove são dois scripts para ajudar a construir uma base de dados para pacotes compilados com makepkg(8) e instalados com pacman(8).

repo-add vai atualizar uma base de dados de pacotes lendo um arquivo de pacote compilado. Vários pacotes para adicionar podem ser especificados na linha de comando.

Se um arquivo “.sig” correspondente é encontrado junto a um arquivo de pacote, a assinatura será automaticamente incorporada à base de dados.

repo-remove vai atualizar uma base de dados de pacote removendo o nome do pacote especificado na linha de comando. Vários pacotes para remover podem ser especificados na linha de comando.

Uma base de dados de pacote é um arquivo tar, opcionalmente compactado. As extensões válidas são “.db” seguido por uma extensão de arquivo de “.tar”, “.tar.gz”, “.tar.bz2”, “.tar.xz” ou “.tar.Z”. O arquivo não precisa existir, mas todos os diretórios pais devem existir.

OPÇÕES COMUNS

-q, --quiet
    Força este programa a ficar quieto e a ser executado silenciosamente, exceto para mensagens de aviso e erro.

-s, --sign
    Gera um arquivo de assinatura PGP usando GnuPG. Isso executará gpg --detach-sign --use-agent na base de dados gerada para gerar um arquivo de assinatura desanexado, usando o agente GPG se estiver disponível. O arquivo de assinatura será o nome de arquivo inteiro da base de dados com uma extensão “.sig”.

-k, --key <chave>
    Especifica uma chave para usar ao assinar pacotes. Também pode ser especificado usando a variável de ambiente GPGKEY. Se não for especificado em nenhum dos locais, a chave padrão do chaveiro será usada.

-v, --verify
    Verifica a assinatura PGP da base de dados antes de atualizar a base de dados. Se a assinatura for inválida, um erro é produzido e a atualização não prossegue.

--nocolor
    Remove cor da saída de repo-add e repo-remove.

OPÇÕES DE REPO-ADD

-n, --new
    Apenas adiciona pacotes que ainda não estejam na base de dados. Os avisos serão impressos na detecção dos pacotes existentes, mas não serão adicionados novamente.

-R, --remove
    Remove arquivos de pacotes antigos do disco ao atualizar sua entrada na base de dados.

--include-sigs
    Inclui assinaturas PGP do pacote no banco de dados do repositório (se disponível)

EXEMPLO

repo-add foo.db.tar.xz <pkg1> [<pkg2> ...]

Isso cria duas bases de dados separadas; uma base de dados menor “foo.db.tar.xz” usada pelo pacman e uma base de dados grande contendo listas de arquivos de pacote “foo.files.tar.xz” para uso por outros utilitários. Embora o pacman possa usar a base de dados grande (se renomeada com uma extensão db.tar*), atualmente não há nenhum benefício adicional para o download maior.

VEJA TAMBÉM

makepkg(8), pacman(8)

Consulte o site do pacman em https://archlinux.org/pacman/ para obter informações atuais sobre o pacman e suas ferramentas relacionadas.

BUGS

Bugs? Você deve estar brincando; não há erros neste software. Mas se por acaso estivermos errados, envie um relatório de erro com o máximo de detalhes possível no rastreador de erros do Arch Linux na seção Pacman.

AUTORES

Atuais mantenedores:

    • Allan McRae <allan@archlinux.org>

    • Andrew Gregory <andrew.gregory.8@gmail.com>

    • Morgan Adamiec <morganamilo@archlinux.org>

Principais colaboradores anteriores:

    • Judd Vinet <jvinet@zeroflux.org>

    • Aurelien Foret <aurelien@archlinux.org>

    • Aaron Griffin <aaron@archlinux.org>

    • Dan McGee <dan@archlinux.org>

    • Xavier Chantry <shiningxc@gmail.com>

    • Nagy Gabor <ngaba@bibl.u-szeged.hu>

    • Dave Reisner <dreisner@archlinux.org>

    • Eli Schwartz <eschwartz@archlinux.org>

Para outros contribuidores, use git shortlog -s no repositório pacman.git.

TRADUÇÃO
A tradução para português brasileiro desta página man foi criada por Rafael Fontenelle <rafaelff@gnome.org>

Esta tradução é uma documentação livre; leia a Licença Pública Geral GNU Versão 3 (https://www.gnu.org/licenses/gpl-3.0.html) ou posterior para as condições de direitos autorais. Nenhuma responsabilidade é aceita.

Se você encontrar algum erro na tradução desta página de manual, envie um e-mail para a lista de discussão de tradutores (debian-l10n-portuguese@lists.debian.org).